Index: tests/Python/AllActions/options.dat
===================================================================
--- tests/Python/AllActions/options.dat	(revision f63e41b6a0ddb762209a7c4ba24753bc9ceb33a2)
+++ tests/Python/AllActions/options.dat	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -38,4 +38,5 @@
 center	"10. 10. 10."
 center-in-box	"10 0 0 10 0 10"
+change-bond-angle	"100."
 change-box	"10 0 0 10 0 10"
 change-element	"H"
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision f63e41b6a0ddb762209a7c4ba24753bc9ceb33a2)
+++ tests/regression/Makefile.am	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -81,4 +81,5 @@
 	$(srcdir)/Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at \
 	$(srcdir)/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at \
+	$(srcdir)/Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at \
 	$(srcdir)/Molecules/Copy/testsuite-molecules-copy-molecule.at \
 	$(srcdir)/Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
Index: tests/regression/Molecules/ChangeBondAngle/post/water.pdb
===================================================================
--- tests/regression/Molecules/ChangeBondAngle/post/water.pdb	(revision 8b886f03775fdc38d05053874958082ee74602f3)
+++ tests/regression/Molecules/ChangeBondAngle/post/water.pdb	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -0,0 +1,8 @@
+REMARK created by molecuilder on Wed Nov 14 17:11:55 2012, time step 0
+ATOM      1 O01 0non 01          0.000   0.000   0.000  0.00  0.00           O 0
+ATOM      2 H01 0wat 01          0.644   0.000   0.644  0.00  0.00           H 0
+ATOM      3 H02 0non 01          0.644   0.000  -0.644  0.00  0.00           H 0
+CONECT    1    2    3                                                           
+CONECT    2    1                                                                
+CONECT    3    1                                                                
+END
Index: tests/regression/Molecules/ChangeBondAngle/pre/water.pdb
===================================================================
--- tests/regression/Molecules/ChangeBondAngle/pre/water.pdb	(revision 8b886f03775fdc38d05053874958082ee74602f3)
+++ tests/regression/Molecules/ChangeBondAngle/pre/water.pdb	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -0,0 +1,8 @@
+REMARK created by molecuilder on Thu Apr 12 18:16:56 2012, time step 0
+ATOM      1 O01 0non 01          0.000   0.000   0.000  0.00  0.00           O 0
+ATOM      2 H01 0wat 01          0.759   0.000   0.504  0.00  0.00           H 0
+ATOM      3 H02 0non 01          0.759   0.000  -0.504  0.00  0.00           H 0
+CONECT    1    2    3                                                           
+CONECT    2    1                                                                
+CONECT    3    1                                                                
+END
Index: tests/regression/Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at
===================================================================
--- tests/regression/Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at	(revision 8b886f03775fdc38d05053874958082ee74602f3)
+++ tests/regression/Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -0,0 +1,45 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### changeing bond
+
+AT_SETUP([Molecules - Changing bond angle])
+AT_KEYWORDS([molecules change-bond-angle])
+file=water.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-all-atoms --change-bond-angle 90.], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Molecules - Changing bond angle with Undo])
+AT_KEYWORDS([molecules change-bond-angle undo])
+file=water.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-all-atoms --change-bond-angle 90. --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/pre/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Molecules - Changing bond angle with Redo])
+AT_KEYWORDS([molecules change-bond-angle redo])
+file=water.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-all-atoms --change-bond-angle 90. --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/ChangeBondAngle/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Molecules/testsuite-molecules.at
===================================================================
--- tests/regression/Molecules/testsuite-molecules.at	(revision f63e41b6a0ddb762209a7c4ba24753bc9ceb33a2)
+++ tests/regression/Molecules/testsuite-molecules.at	(revision 8b886f03775fdc38d05053874958082ee74602f3)
@@ -26,4 +26,7 @@
 # Bonds from fragmentation bond file
 m4_include([Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at])
+
+# change bond angle
+m4_include([Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at])
 
 # copy molecule
